curl --request PATCH \
--url https://api.kycaml.frankiefinancial.io/transaction/v2/entities/{entityId}/alerts \
--header 'Content-Type: application/json' \
--header 'X-Frankie-CustomerID: <x-frankie-customerid>' \
--header 'apiKey: <api-key>' \
--data '{}'import requests
url = "https://api.kycaml.frankiefinancial.io/transaction/v2/entities/{entityId}/alerts"
payload = {}
headers = {
"X-Frankie-CustomerID": "<x-frankie-customerid>",
"apiKey": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'X-Frankie-CustomerID': '<x-frankie-customerid>',
apiKey: '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({})
};
fetch('https://api.kycaml.frankiefinancial.io/transaction/v2/entities/{entityId}/alerts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"total": 123,
"successful": {
"count": 123
},
"failed": {
"count": 123
}
}{
"requestId": "<string>"
}{
"commit": "<string>",
"requestId": "<string>",
"errorCode": "CORE-5990",
"errorMsg": "Everything went kaflooey. Stay clam.",
"issues": [
{
"issueLocation": "date_of_birth",
"issue": "Invalid format. Must be YYYY-MM-DD"
}
]
}{
"commit": "<string>",
"requestId": "<string>",
"errorCode": "CORE-5990",
"errorMsg": "Everything went kaflooey. Stay clam.",
"issues": [
{
"issueLocation": "date_of_birth",
"issue": "Invalid format. Must be YYYY-MM-DD"
}
]
}{
"commit": "<string>",
"requestId": "<string>",
"errorCode": "CORE-5990",
"errorMsg": "Everything went kaflooey. Stay clam.",
"issues": [
{
"issueLocation": "date_of_birth",
"issue": "Invalid format. Must be YYYY-MM-DD"
}
]
}{
"commit": "<string>",
"requestId": "<string>",
"errorCode": "CORE-5990",
"errorMsg": "Everything went kaflooey. Stay clam.",
"issues": [
{
"issueLocation": "date_of_birth",
"issue": "Invalid format. Must be YYYY-MM-DD"
}
]
}{
"commit": "<string>",
"requestId": "<string>",
"errorCode": "CORE-5990",
"errorMsg": "Everything went kaflooey. Stay clam.",
"issues": [
{
"issueLocation": "date_of_birth",
"issue": "Invalid format. Must be YYYY-MM-DD"
}
]
}Resolve a set of alerts for a specific entity
Request that alerts for an entity are all updated with the same information as provided in the request. You can use this operation to resolve a set of alerts for an entity.
Authorizations
API key issued by FrankieOne. This will rotate regularly.
Headers
Your Customer ID provided by FrankieOne
"12345678-1234-1234-1234-123456789012"
Your Customer Child ID provided by FrankieOne
"87654321-4321-4321-4321-210987654321"
If this header parameter is supplied and set to 1, then the request will not wait for the process to finish, and will return a 202 if there are no obvious errors in the input. The request will then run in the background and send a notification back to the customer. See our callback API for details on this.
0, 1 Path Parameters
Unique identifier of a FrankieOne entity The unique identifier for a FrankieOne entity construct
"98ded7ac-2457-4bde-b27c-fcee05301262"
Body
Response
Response from the PATCH /entity/{entityId}/alerts endpoint
Was this page helpful?